Bug 220072 - SELinux is preventing /usr/sbin/prelink (prelink_t) "read" to vulturesclaw (usr_t).
SELinux is preventing /usr/sbin/prelink (prelink_t) "read" to vulturesclaw (u...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 14:22 EST by Tim McConnell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: selinux-policy-2.4.6-37
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 11:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim McConnell 2006-12-18 14:22:16 EST
Description of problem:
 SELinux denied access requested by /usr/sbin/prelink. It is not expected
    that this access is required by /usr/sbin/prelink and this access may signal
    an intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for vulturesclaw, restorecon -v
    vulturesclaw If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.


Version-Release number of selected component (if applicable):


How reproducible:
unknown
Steps to Reproduce:
1. Recieve Alert 
2.Run suggested command 
3. Recieve alert again 
  
Actual results:
Alert returns 

Expected results:
Alert to go away 

Additional info:
Source Context                system_u:system_r:prelink_t:SystemLow-SystemHigh
Target Context                system_u:object_r:usr_t
Target Objects                vulturesclaw [ file ]
Affected RPM Packages         prelink-0.3.9-2 [application]
Policy RPM                    selinux-policy-2.4.6-7.fc6
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     red1.timmieland.private
Platform                      Linux red1.timmieland.private 2.6.18-1.2860.fc6xen
                              #1 SMP Tue Dec 5 14:28:32 EST 2006 i686 athlon
Alert Count                   10
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm="prelink" dev=dm-0 egid=0 euid=0
exe="/usr/sbin/prelink" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="vulturesclaw" pid=5685 scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023
sgid=0 subj=system_u:system_r:prelink_t:s0-s0:c0.c1023 suid=0 tclass=file
tcontext=system_u:object_r:usr_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-02-14 17:06:08 EST
Fixed in selinux-policy-2.4.6-38
Comment 2 Tim McConnell 2007-02-15 00:55:09 EST
Forcing a relabeling resolved this issue please close as resolved. I have
selinux-policy-2.4.6-37 installed.  

Note You need to log in before you can comment on or make changes to this bug.